diff -urN pspsdk-2493-orig/aclocal/ac_doxygen.m4 pspsdk-2493/aclocal/ac_doxygen.m4
--- pspsdk-2493-orig/aclocal/ac_doxygen.m4	2010-04-26 14:53:02 +0900
+++ pspsdk-2493/aclocal/ac_doxygen.m4	2010-04-26 15:22:04 +0900
@@ -76,9 +76,9 @@
 # Require the specified program to be found for the DX_CURRENT_FEATURE to work.
 AC_DEFUN([DX_REQUIRE_PROG], [
 AC_PATH_TOOL([$1], [$2])
-if test "$DX_FLAG_[]DX_CURRENT_FEATURE$$1" = 1; then
+if test "$DX_FLAG_$3$$1" = 1; then
     AC_MSG_WARN([$2 not found - will not DX_CURRENT_DESCRIPTION])
-    AC_SUBST([DX_FLAG_]DX_CURRENT_FEATURE, 0)
+    AC_SUBST([DX_FLAG_]$3, 0)
 fi
 ])
 
@@ -101,7 +101,7 @@
 # ----------------------------------------------------------
 # Turn off the DX_CURRENT_FEATURE if the required feature is off.
 AC_DEFUN([DX_CLEAR_DEPEND], [
-test "$DX_FLAG_$1" = "$2" || AC_SUBST([DX_FLAG_]DX_CURRENT_FEATURE, 0)
+test "$DX_FLAG_$1" = "$2" || AC_SUBST([DX_FLAG_]$3, 0)
 ])
 
 # DX_FEATURE_ARG(FEATURE, DESCRIPTION,
@@ -192,15 +192,15 @@
 DX_ARG_ABLE(doc, [generate any doxygen documentation],
             [],
             [],
-            [DX_REQUIRE_PROG([DX_DOXYGEN], doxygen)
-             DX_REQUIRE_PROG([DX_PERL], perl)],
+            [DX_REQUIRE_PROG([DX_DOXYGEN], doxygen, doc)
+             DX_REQUIRE_PROG([DX_PERL], perl, doc)],
             [DX_ENV_APPEND(PERL_PATH, $DX_PERL)])
 
 # Dot for graphics:
 DX_ARG_ABLE(dot, [generate graphics for doxygen documentation],
             [DX_CHECK_DEPEND(doc, 1)],
-            [DX_CLEAR_DEPEND(doc, 1)],
-            [DX_REQUIRE_PROG([DX_DOT], dot)],
+            [DX_CLEAR_DEPEND(doc, 1, dot)],
+            [DX_REQUIRE_PROG([DX_DOT], dot, dot)],
             [DX_ENV_APPEND(HAVE_DOT, YES)
              DX_ENV_APPEND(DOT_PATH, [`DX_DIRNAME_EXPR($DX_DOT)`])],
             [DX_ENV_APPEND(HAVE_DOT, NO)])
@@ -208,7 +208,7 @@
 # Man pages generation:
 DX_ARG_ABLE(man, [generate doxygen manual pages],
             [DX_CHECK_DEPEND(doc, 1)],
-            [DX_CLEAR_DEPEND(doc, 1)],
+            [DX_CLEAR_DEPEND(doc, 1, man)],
             [],
             [DX_ENV_APPEND(GENERATE_MAN, YES)],
             [DX_ENV_APPEND(GENERATE_MAN, NO)])
@@ -216,7 +216,7 @@
 # RTF file generation:
 DX_ARG_ABLE(rtf, [generate doxygen RTF documentation],
             [DX_CHECK_DEPEND(doc, 1)],
-            [DX_CLEAR_DEPEND(doc, 1)],
+            [DX_CLEAR_DEPEND(doc, 1, rtf)],
             [],
             [DX_ENV_APPEND(GENERATE_RTF, YES)],
             [DX_ENV_APPEND(GENERATE_RTF, NO)])
@@ -224,7 +224,7 @@
 # XML file generation:
 DX_ARG_ABLE(xml, [generate doxygen XML documentation],
             [DX_CHECK_DEPEND(doc, 1)],
-            [DX_CLEAR_DEPEND(doc, 1)],
+            [DX_CLEAR_DEPEND(doc, 1, xml)],
             [],
             [DX_ENV_APPEND(GENERATE_XML, YES)],
             [DX_ENV_APPEND(GENERATE_XML, NO)])
@@ -232,8 +232,8 @@
 # (Compressed) HTML help generation:
 DX_ARG_ABLE(chm, [generate doxygen compressed HTML help documentation],
             [DX_CHECK_DEPEND(doc, 1)],
-            [DX_CLEAR_DEPEND(doc, 1)],
-            [DX_REQUIRE_PROG([DX_HHC], hhc)],
+            [DX_CLEAR_DEPEND(doc, 1, chm)],
+            [DX_REQUIRE_PROG([DX_HHC], hhc, chm)],
             [DX_ENV_APPEND(HHC_PATH, $DX_HHC)
              DX_ENV_APPEND(GENERATE_HTML, YES)
              DX_ENV_APPEND(GENERATE_HTMLHELP, YES)],
@@ -242,7 +242,7 @@
 # Seperate CHI file generation.
 DX_ARG_ABLE(chi, [generate doxygen seperate compressed HTML help index file],
             [DX_CHECK_DEPEND(chm, 1)],
-            [DX_CLEAR_DEPEND(chm, 1)],
+            [DX_CLEAR_DEPEND(chm, 1, chi)],
             [],
             [DX_ENV_APPEND(GENERATE_CHI, YES)],
             [DX_ENV_APPEND(GENERATE_CHI, NO)])
@@ -250,7 +250,7 @@
 # Plain HTML pages generation:
 DX_ARG_ABLE(html, [generate doxygen plain HTML documentation],
             [DX_CHECK_DEPEND(doc, 1) DX_CHECK_DEPEND(chm, 0)],
-            [DX_CLEAR_DEPEND(doc, 1) DX_CLEAR_DEPEND(chm, 0)],
+            [DX_CLEAR_DEPEND(doc, 1, html) DX_CLEAR_DEPEND(chm, 0, html)],
             [],
             [DX_ENV_APPEND(GENERATE_HTML, YES)],
             [DX_TEST_FEATURE(chm) || DX_ENV_APPEND(GENERATE_HTML, NO)])
@@ -258,19 +258,19 @@
 # PostScript file generation:
 DX_ARG_ABLE(ps, [generate doxygen PostScript documentation],
             [DX_CHECK_DEPEND(doc, 1)],
-            [DX_CLEAR_DEPEND(doc, 1)],
-            [DX_REQUIRE_PROG([DX_LATEX], latex)
-             DX_REQUIRE_PROG([DX_MAKEINDEX], makeindex)
-             DX_REQUIRE_PROG([DX_DVIPS], dvips)
-             DX_REQUIRE_PROG([DX_EGREP], egrep)])
+            [DX_CLEAR_DEPEND(doc, 1, ps)],
+            [DX_REQUIRE_PROG([DX_LATEX], latex, ps)
+             DX_REQUIRE_PROG([DX_MAKEINDEX], makeindex, ps)
+             DX_REQUIRE_PROG([DX_DVIPS], dvips, ps)
+             DX_REQUIRE_PROG([DX_EGREP], egrep, ps)])
 
 # PDF file generation:
 DX_ARG_ABLE(pdf, [generate doxygen PDF documentation],
             [DX_CHECK_DEPEND(doc, 1)],
-            [DX_CLEAR_DEPEND(doc, 1)],
-            [DX_REQUIRE_PROG([DX_PDFLATEX], pdflatex)
-             DX_REQUIRE_PROG([DX_MAKEINDEX], makeindex)
-             DX_REQUIRE_PROG([DX_EGREP], egrep)])
+            [DX_CLEAR_DEPEND(doc, 1, pdf)],
+            [DX_REQUIRE_PROG([DX_PDFLATEX], pdflatex, pdf)
+             DX_REQUIRE_PROG([DX_MAKEINDEX], makeindex, pdf)
+             DX_REQUIRE_PROG([DX_EGREP], egrep, pdf)])
 
 # LaTeX generation for PS and/or PDF:
 if DX_TEST_FEATURE(ps) || DX_TEST_FEATURE(pdf); then
diff -urN pspsdk-2493-orig/configure.ac pspsdk-2493/configure.ac
--- pspsdk-2493-orig/configure.ac	2010-04-26 14:53:02 +0900
+++ pspsdk-2493/configure.ac	2010-04-26 15:22:04 +0900
@@ -8,7 +8,7 @@
 AC_PSPSDK_VERSION
 AC_PSPDEV_PATH
 
-AM_INIT_AUTOMAKE([pspsdk], [PSPSDK_VERSION])
+AM_INIT_AUTOMAKE([foreign])
 
 # Checks for programs.
 AC_PSPDEV_TOOLCHAIN
